
%if 0%{?fedora} > 6
%define kdelibs3 kdelibs3
%else
%define kdelibs3 kdelibs
BuildRequires: libutempter-devel
%endif

%define svn 20090306

Name:           koffice
Epoch:          2
Version:        1.6.3
Release:        21.%{svn}svn%{?dist}
Summary:        An integrated office suite

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.koffice.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/koffice-%{version}/src/koffice-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source100:      koshell.png

Patch50: koffice-1.6.3-glibc_strrchr.patch

## hand-crafted patch, pretty close to:
# LANG=en_US.UTF-8 svn diff \
#  svn://anonsvn.kde.org/home/kde/tags/koffice/1.6.3/koffice \
#  svn://anonsvn.kde.org/home/kde/branches/koffice/1.6/koffice \
#  > koffice-%{svn}svn.patch
Patch100: koffice-%{svn}svn.patch
# Revert backport from  https://bugs.kde.org/show_bug.cgi?id=168548
Patch101: koffice-1.6.3-quint32.patch

# http://www.kde.org/info/security/advisory-20070730-1.txt
Patch1: ftp://ftp.kde.org/pub/kde/security_patches/koffice-xpdf-CVE-2007-3387.diff

# http://www.kde.org/info/security/advisory-20071107-1.txt
Patch2: ftp://ftp.kde.org/pub/kde/security_patches/koffice-1.6.3-xpdf2-CVE-2007-4352-5392-5393.diff

# upstream patch pulled via: svn diff -c 738929 
# svn diff -c 729276 svn://anonsvn.kde.org/home/kde/branches/koffice/1.6/
# svn diff -c 738929 svn://anonsvn.kde.org/home/kde/branches/koffice/1.6/
Patch3: koffice-1.6.3-gcc43.patch

# BuildRequires: world-devel ;)
BuildRequires:  %{kdelibs3}-devel
# See http://bugzilla.redhat.com/244091
%global kdelibs3_ver %((kde-config --version 2>/dev/null || echo KDE 3.5.10) | grep '^KDE' | cut -d' ' -f2 | cut -d'-' -f1)
BuildRequires: automake libtool
BuildRequires:  freetype-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
BuildRequires:  openssl-devel
BuildRequires:  python-devel
BuildRequires:  pcre-devel
BuildRequires:  lcms-devel
BuildRequires:  gettext-devel
BuildRequires:  mysql-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl
BuildRequires:  wv2-devel
BuildRequires:  libpqxx-devel
BuildRequires:  doxygen
BuildRequires:  aspell-devel
BuildRequires:  libxslt-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  libexif-devel
BuildRequires:  libGL-devel libGLU-devel
BuildRequires:  readline-devel
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define ruby 1
BuildRequires:  ruby ruby-devel >= 1.8.2
%endif
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
BuildRequires:  libpaper-devel
BuildRequires:  libXi-devel
%endif
# FIXME: work to get these into EPEL
%if 0%{?fedora} > 6
BuildRequires: GraphicsMagick-devel
BuildRequires: libwpd-devel
%define libwpd 1
BuildRequires: poppler-qt-devel
%endif


%description
KOffice is an integrated office suite.

%package suite
Summary:        An integrated office suite
Group:          Applications/Productivity
Obsoletes:      koffice <= 4:%{version}-%{release}
Obsoletes:      koffice-i18n < 4:%{version}
Requires:       koffice-core = %{epoch}:%{version}-%{release} 
Requires:       koffice-kword = %{epoch}:%{version}-%{release} 
Requires:       koffice-kspread = %{epoch}:%{version}-%{release} 
Requires:       koffice-kpresenter = %{epoch}:%{version}-%{release}
Requires:       koffice-kivio = %{epoch}:%{version}-%{release}
Requires:       koffice-karbon = %{epoch}:%{version}-%{release}
Requires:       koffice-krita = %{epoch}:%{version}-%{release}
Requires:       koffice-kugar = %{epoch}:%{version}-%{release}
Requires:       koffice-kexi = %{epoch}:%{version}-%{release}
Requires:       koffice-kexi-driver-mysql = %{epoch}:%{version}-%{release}
Requires:       koffice-kexi-driver-pgsql = %{epoch}:%{version}-%{release}
Requires:       koffice-kchart = %{epoch}:%{version}-%{release}
Requires:       koffice-kformula = %{epoch}:%{version}-%{release}
Requires:       koffice-filters = %{epoch}:%{version}-%{release}
Requires:       koffice-kplato = %{epoch}:%{version}-%{release}

%description suite
KOffice is an integrated office suite.

%package core
Summary:        Core support files for %{name} 
Group:          Applications/Productivity
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires(post): xdg-utils
Requires(postun): xdg-utils
Requires:       perl
Conflicts:      koffice-i18n < 4:%{version}
%description core
%{summary}.

%package libs
Summary:        Runtime libraries for %{name} 
Group:          System Environment/Libraries
Conflicts:      koffice <= 4:%{version}-%{release}
Requires:       %{kdelibs3} >= %{kdelibs3_ver}
License:        LGPLv2+
%description libs
%{summary}.

%package devel
Summary:        Development files for %{name} 
Group:          Development/Libraries
Requires:       %{name}-libs = %{epoch}:%{version}-%{release}
License:        LGPLv2+
%description devel
%{summary}.

%package kword
Summary:	A frame-based word processor capable of professional standard documents
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%description kword
%{summary}.

%package kspread
Summary:        A powerful spreadsheet application
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%description kspread
%{summary}.

%package kpresenter
Summary:        A full-featured presentation program
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%description kpresenter
%{summary}.

%package kivio
Summary:        A flowcharting application
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Obsoletes:      kivio < %{version}-%{release}
%description kivio
%{summary}.

%package karbon
Summary:        A vector drawing application
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%description karbon
%{summary}.

%package krita
Summary:        A pixel-based image manipulation program 
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-filters
%description krita
%{summary}.

%package kugar
Summary:        A tool for generating business quality reports
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%description kugar
%{summary}.

%package kexi
Summary:        An integrated environment for managing data
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%description kexi
%{summary}.
For additional database drivers take a look at %{name}-kexi-driver-*

%package kexi-driver-mysql
Summary:        Mysql-driver for kexi
Group:          Applications/Productivity
Requires:       %{name}-kexi = %{epoch}:%{version}-%{release}
%description kexi-driver-mysql
%{summary}.

%package kexi-driver-pgsql
Summary:        Postresql driver for kexi
Group:          Applications/Productivity
Requires:       %{name}-kexi = %{epoch}:%{version}-%{release}
%description kexi-driver-pgsql
%{summary}.

%package kchart
Summary:        An integrated graph and chart drawing tool
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%description kchart
%{summary}.

%package kformula
Summary:        A powerful formula editor
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       mathml-fonts
%description kformula
%{summary}.

%package filters
Summary:        Import and Export Filters for KOffice
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%description filters
%{summary}.

%package kplato
Summary:         An integrated project management and planning tool
Group:           Applications/Productivity
Requires:        %{name}-core = %{epoch}:%{version}-%{release}
%description kplato
%{summary}.


%prep
%setup -q

#patch1 -p0 -b .CVE-2007-3387
#patch2 -p0 -b .CVE-2007-4352-5392-5393
#patch3 -p1 -b .gcc43

%patch50 -p1 -b glibc_strrchr

%patch100 -p1 -b .svn
%patch101 -p1 -b .quint32

make -f admin/Makefile.common


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath --disable-dependency-tracking \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --with-pic --enable-shared --disable-static \
  --with-extra-libs=%{_libdir} \
  --with-pgsqllibdir=%{_libdir} --with-pgsqlincdir=%{_includedir} \
  --with-pqxxlibdir=%{_libdir} --with-pqxxincdir=%{_includedir} \
  --disable-final

make %{?_smp_mflags} -k


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

[ ! -f %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/koshell.png ] && \
install -p -D -m644 %{SOURCE100} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/koshell.png

# Replace absolute symlinks with relative ones
pushd %{buildroot}%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in */*; do
      [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../common $i/common
    done
    popd
  fi
done
popd

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications/kde \
  --vendor="" \
  --delete-original \
  %{buildroot}%{_datadir}/applnk/Office/*.desktop

## Hack-in NoDisplay=True (http://bugzilla.redhat.com/245061)
## until http://bugzilla.redhat.com/245190 is fixed
for desktop_file in %{buildroot}%{_datadir}/applnk/.hidden/*.desktop ; do
  grep "^NoDisplay=" ${desktop_file} || \
    echo "NoDisplay=True" >> ${desktop_file}
done

## unpackaged files
rm -f %{buildroot}%{_libdir}/lib*.la
# shouldn't these be in koffice-l10n? 
rm -f %{buildroot}%{_datadir}/locale/pl/LC_MESSAGES/kexi_{add,delete}_column_gui_transl_pl.sh
# -devel symlinks to nuke
rm -f %{buildroot}%{_libdir}/lib*common.so
rm -f %{buildroot}%{_libdir}/lib*filters.so
rm -f %{buildroot}%{_libdir}/lib*private.so
rm -f %{buildroot}%{_libdir}/libkarbon*.so
rm -f %{buildroot}%{_libdir}/libkchart*.so
rm -f %{buildroot}%{_libdir}/libkexi*.so
rm -f %{buildroot}%{_libdir}/libkisexiv2.so
rm -f %{buildroot}%{_libdir}/libkformdesigner.so
rm -f %{buildroot}%{_libdir}/libkplato*.so
rm -f %{buildroot}%{_libdir}/libkpresenter*.so
rm -f %{buildroot}%{_libdir}/libkword*.so
rm -f %{buildroot}%{_libdir}/libkrita*.so
rm -f %{buildroot}%{_libdir}/libkross*.so
rm -f %{buildroot}%{_libdir}/libkugar*.so


%clean
rm -rf %{buildroot}


%post core
xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun core
xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%post kword
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun kword
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%post kpresenter
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun kpresenter 
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%post kugar
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun kugar
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%post kexi
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun kexi
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%post kchart
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun kchart
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :

%post filters -p /sbin/ldconfig
%postun filters -p /sbin/ldconfig 

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files suite
#empty => virtual package

%files core
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/koshell
%{_bindir}/kthesaurus
%{_bindir}/koconverter
%{_libdir}/libkdeinit_koshell.so
%{_libdir}/libkdeinit_kthesaurus.so
%{_libdir}/kde3/kfile_koffice.*
%{_libdir}/kde3/kfile_ooo.*
%{_libdir}/kde3/kfile_abiword.*
%{_libdir}/kde3/kfile_gnumeric.*
%{_libdir}/kde3/kodocinfopropspage.*
%{_libdir}/kde3/kofficescan.*
%{_libdir}/kde3/kofficethumbnail.*
%{_libdir}/kde3/koshell.*
%{_libdir}/kde3/kthesaurus.*
%{_libdir}/kde3/kwmailmerge_classic.*
%{_libdir}/kde3/kwmailmerge_kabc.*
%{_libdir}/kde3/kwmailmerge_qtsqldb_power.*
%{_libdir}/kde3/kwmailmerge_qtsqldb.*
%{_libdir}/kde3/libkounavailpart.*
%{_libdir}/kde3/libkprkword.*
%{_libdir}/kde3/libthesaurustool.*
%{_libdir}/kde3/clipartthumbnail.*
%{_datadir}/apps/koffice/
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/koshell/
%{_datadir}/apps/thesaurus/
%{_datadir}/config.kcfg/koshell.kcfg
%{_datadir}/doc/HTML/en/koffice/
%{_datadir}/doc/HTML/en/koshell/
%{_datadir}/doc/HTML/en/thesaurus/
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/services/clipartthumbnail.desktop
%{_datadir}/services/kfile*.desktop
%{_datadir}/services/kwmailmerge*.desktop
%{_datadir}/services/kodocinfopropspage.desktop
%{_datadir}/services/kofficethumbnail.desktop
%{_datadir}/services/kounavail.desktop
%{_datadir}/services/kprkword.desktop
%{_datadir}/services/thesaurustool.desktop
%{_datadir}/servicetypes/kochart.desktop
%{_datadir}/servicetypes/kofficepart.desktop
%{_datadir}/servicetypes/koplugin.desktop
%{_datadir}/servicetypes/kwmailmerge.desktop
%{_datadir}/servicetypes/widgetfactory.desktop
%{_datadir}/applications/kde/*koffice.desktop
%{_datadir}/applications/kde/*KThesaurus.desktop
%{_datadir}/applications/kde/*koshell.desktop
%{_datadir}/apps/kofficewidgets/
%{_datadir}/apps/kross/
%{_libdir}/kde3/krosspython.*
%{?ruby:%{_libdir}/kde3/krossruby.*}

%files libs
%defattr(-,root,root,-)
%doc COPYING.LIB
#_libdir/libk*common.so.*
%{_libdir}/libkarboncommon.so.*
%{_libdir}/libkspreadcommon.so.*
%{_libdir}/libkdchart.so.*
%{_libdir}/libkochart.so.*
%{_libdir}/libkofficecore.so.*
%{_libdir}/libkofficeui.so.*
%{_libdir}/libkotext.so.*
%{_libdir}/libkowmf.so.*
%{_libdir}/libkopainter.so.*
%{_libdir}/libkstore.so.*
%{_libdir}/libkwmailmerge_interface.so.*
%{_libdir}/libkwmf.so.*
%{_libdir}/libkformulalib.so.*
%{_libdir}/libkopalette.so.*
%{_libdir}/libkoproperty.so.*
%{_libdir}/libkrossapi.so.*
%{_libdir}/libkrossmain.so.*

%files devel
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/koffice-apidocs/
%{_includedir}/*
# FIXME: include only shlib symlinks we know/want to export
%{_libdir}/lib*.so
%exclude %{_libdir}/libkdeinit_*.so
%exclude %{_libdir}/libkudesignercore.so

%files kword
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kword/
%{_bindir}/kword
%{_libdir}/libkdeinit_kword.so
%{_libdir}/libkwordprivate.so.*
%{_libdir}/kde3/libkwordpart.*
%{_libdir}/kde3/kword.*
%{_datadir}/apps/kword/
%{_datadir}/services/kword*.desktop
%{_datadir}/services/kwserial*.desktop
%{_datadir}/templates/TextDocument.desktop
%{_datadir}/templates/.source/TextDocument.kwt
%{_datadir}/applications/kde/*kword.desktop

%files kspread
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kspread/
%{_bindir}/kspread
%{_libdir}/libkdeinit_kspread.so
%{_libdir}/kde3/kspread.*
%{_libdir}/kde3/libkspreadpart.*
%{_libdir}/kde3/kwmailmerge_kspread.*
%{_libdir}/kde3/libcsvexport.*
%{_libdir}/kde3/libcsvimport.*
%{_libdir}/kde3/libgnumericexport.*
%{_libdir}/kde3/libgnumericimport.*
%{_libdir}/kde3/libkspreadhtmlexport.*
%{_libdir}/kde3/libkspreadinsertcalendar.*
%{_libdir}/kde3/libopencalcexport.*
%{_libdir}/kde3/libopencalcimport.*
%{_libdir}/kde3/libqproimport.*
%{_libdir}/kde3/kspreadscripting.*
%{_libdir}/kde3/krosskspreadcore.*
%{_datadir}/apps/kspread/
%{_datadir}/services/kspread*.desktop
%{_datadir}/templates/SpreadSheet.desktop
%{_datadir}/templates/.source/SpreadSheet.kst
%{_datadir}/applications/kde/*kspread.desktop

%files kpresenter
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kpresenter/
%{_bindir}/kpresenter
%{_bindir}/kprconverter.pl
%{_libdir}/libkdeinit_kpresenter.so
%{_libdir}/libkpresenterimageexport.so.*
%{_libdir}/libkpresenterprivate.so.*
%{_libdir}/kde3/*kpresenter*.*
%{_datadir}/apps/kpresenter/
%{_datadir}/services/kpresenter*.desktop
%{_datadir}/templates/Presentation.desktop
%{_datadir}/templates/.source/Presentation.kpt
%{_datadir}/applications/kde/*kpresenter.desktop

%files karbon
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/karbon/
%{_bindir}/karbon
%{_libdir}/libkdeinit_karbon.so
%{_libdir}/kde3/*karbon*.*
%{_libdir}/kde3/libwmfexport.*
%{_libdir}/kde3/libwmfimport.*
%{_datadir}/apps/karbon/
%{_datadir}/services/karbon*
%{_datadir}/servicetypes/karbon_module.desktop
%{_datadir}/templates/Illustration.desktop
%{_datadir}/templates/.source/Illustration.karbon
%{_datadir}/applications/kde/*karbon.desktop

%files krita
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/krita/
%{_bindir}/krita
%{_libdir}/libkdeinit_krita.so
%{_libdir}/libkrita*.so.*
%{_libdir}/kde3/*krita*.*
%{_datadir}/apps/krita/
%{_datadir}/services/krita*.desktop
%{_datadir}/servicetypes/krita*.desktop
%{_datadir}/applications/kde/*krita*.desktop
%{_datadir}/applnk/.hidden/*krita*.desktop
%{_datadir}/apps/kritaplugins/

%files kugar
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kugar/
%{_bindir}/kugar
%{_bindir}/kudesigner
%{_libdir}/libkdeinit_kugar.so
%{_libdir}/libkdeinit_kudesigner.so
%{_libdir}/libkugarlib.so.*
%{_libdir}/libkudesignercore.so
%{_libdir}/kde3/kudesigner.*
%{_libdir}/kde3/kugar.*
%{_libdir}/kde3/libkudesignerpart.*
%{_libdir}/kde3/libkugarpart.*
%{_datadir}/apps/kudesigner/
%{_datadir}/apps/kugar/
%{_datadir}/services/kugar*.desktop
%{_datadir}/applications/kde/*kugar.desktop
%{_datadir}/applications/kde/*kudesigner.desktop

%files kexi
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kexi/
%{_bindir}/kexi*
%{_bindir}/ksqlite*
%{_bindir}/krossrunner
%{_libdir}/libkdeinit_kexi.so
%{_libdir}/libkexi*.so.*
%{_libdir}/libkformdesigner.so.*
%{_libdir}/kde3/kformdesigner_*.*
%{_libdir}/kde3/kexidb_sqlite2driver.*
%{_libdir}/kde3/kexidb_sqlite3driver.*
%{_libdir}/kde3/kexihandler_*.*
%{_libdir}/kde3/kexi.*
%{_libdir}/kde3/krosskexiapp.*
%{_libdir}/kde3/krosskexidb.*
# moved here to workaround bug #394101, alternative is to move libkexi(db|dbparser|utils) to -libs)
%{_libdir}/kde3/libkspreadkexiimport.*
%{_datadir}/config/kexirc
%{_datadir}/config/magic/kexi.magic
%{_datadir}/mimelnk/application/*
%{_datadir}/servicetypes/kexi*.desktop
%{_datadir}/services/kexi/
%{_datadir}/apps/kexi/
%{_datadir}/services/kformdesigner/*
%{_datadir}/applications/kde/*kexi.desktop
%{_datadir}/services/kexidb_sqlite*driver.desktop

%files kexi-driver-mysql
%defattr(-,root,root,-)
%{_libdir}/kde3/kexidb_mysqldriver.*
%{_libdir}/kde3/keximigrate_mysql.*
%{_datadir}/services/keximigrate_mysql.desktop
%{_datadir}/services/kexidb_mysqldriver.desktop

%files kexi-driver-pgsql
%defattr(-,root,root,-)
%{_libdir}/kde3/kexidb_pqxxsqldriver.*
%{_libdir}/kde3/keximigrate_pqxx.*
%{_datadir}/services/kexidb_pqxxsqldriver.desktop
%{_datadir}/services/keximigrate_pqxx.desktop

%files kchart
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kchart/
%{_bindir}/kchart
%{_libdir}/libkchart*.so.*
%{_libdir}/libkdeinit_kchart.so
%{_libdir}/kde3/*kchart*.*
%{_datadir}/apps/kchart/
%{_datadir}/services/kchart*.desktop
%{_datadir}/applications/kde/*kchart.desktop

%files kformula
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kformula/
%{_bindir}/kformula
%{_libdir}/libkdeinit_kformula.so
%{_libdir}/kde3/*kformula*.*
%{_datadir}/apps/kformula/
%{_datadir}/services/kformula*.desktop
%{_datadir}/applications/kde/*kformula.desktop

%files kivio
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kivio/
%{_bindir}/kivio
%{_libdir}/libkdeinit_kivio.so
%{_libdir}/libkiviocommon.so.*
%{_libdir}/kde3/*kivio*.*
%{_libdir}/kde3/straight_connector.*
%{_datadir}/apps/kivio/
%{_datadir}/config.kcfg/kivio.kcfg
%{_datadir}/services/kivio*.desktop
%{_datadir}/applications/kde/*kivio.desktop

%files filters
%defattr(-,root,root,-)
%{_libdir}/libkwordexportfilters.so.*
%{_libdir}/kde3/libabiwordexport.*
%{_libdir}/kde3/libabiwordimport.*
%{_libdir}/kde3/libamiproexport.*
%{_libdir}/kde3/libamiproimport.*
%{_libdir}/kde3/libapplixspreadimport.*
%{_libdir}/kde3/libapplixwordimport.*
%{_libdir}/kde3/libasciiexport.*
%{_libdir}/kde3/libasciiimport.*
%{_libdir}/kde3/libdbaseimport.*
%{_libdir}/kde3/libdocbookexport.*
%{_libdir}/kde3/libexcelimport.*
%{_libdir}/kde3/libgenerickofilter.*
%{_libdir}/kde3/libhtmlexport.*
%{_libdir}/kde3/libhtmlimport.*
%{_libdir}/kde3/libkarbonepsimport.*
%{_libdir}/kde3/libkfolatexexport.*
%{_libdir}/kde3/libkfomathmlexport.*
%{_libdir}/kde3/libkfomathmlimport.*
%{_libdir}/kde3/libkfopngexport.*
%{_libdir}/kde3/libkspreadlatexexport.*
%{_libdir}/kde3/libkugarnopimport.*
%{_libdir}/kde3/libkwordkword1dot3import.*
%{_libdir}/kde3/libkwordlatexexport.*
%{_libdir}/kde3/libmswriteexport.*
%{_libdir}/kde3/libmswriteimport.*
%{_libdir}/kde3/libooimpressexport.*
%{_libdir}/kde3/libooimpressimport.*
%{_libdir}/kde3/liboowriterexport.*
%{_libdir}/kde3/liboowriterimport.*
%{_libdir}/kde3/libpalmdocexport.*
%{_libdir}/kde3/libpalmdocimport.*
%{_libdir}/kde3/libpdfimport.*
%{_libdir}/kde3/librtfexport.*
%{_libdir}/kde3/librtfimport.*
%{_libdir}/kde3/libwmlexport.*
%{_libdir}/kde3/libwmlimport.*
%{_libdir}/kde3/libwpexport.*
%if 0%{?libwpd}
%{_libdir}/kde3/libwpimport.*
%endif
%{_libdir}/kde3/libmswordimport.*
%{_libdir}/kde3/libxsltimport.*
%{_libdir}/kde3/libxsltexport.*
%{_libdir}/kde3/libhancomwordimport.*
%{_libdir}/kde3/libkfosvgexport.*
%{_libdir}/kde3/liboodrawimport.*
%{_libdir}/kde3/libolefilter.*
%{_datadir}/apps/xsltfilter/
%{_datadir}/services/generic_filter.desktop
%{_datadir}/services/ole_powerpoint97_import.desktop
%{_datadir}/services/xslt*.desktop
%{_datadir}/servicetypes/kofilter*.desktop

%files kplato
%defattr(-,root,root,-)
%lang(en) %{_docdir}/HTML/en/kplato/
%{_bindir}/kplato
%{_libdir}/libkdeinit_kplato.so
%{_libdir}/kde3/kplato.*
%{_libdir}/kde3/libkplatopart.*
%{_datadir}/apps/kplato/
%{_datadir}/services/kplatopart.desktop
%{_datadir}/applications/kde/*kplato.desktop


%changelog
* Thu Apr 16 2009 Rex Dieter <rdieter@fedoraproject.org> 2:1.6.3-21.20090306svn
- -krita: revert/readd dropped Requires: -filters

* Tue Mar 10 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 2:1.6.3-20.20090306svn
- rebuild for new ImageMagick

* Fri Mar 06 2009 Rex Dieter <rdieter@fedoraproject.org> 2:1.6.3-19.20090306svn
- revert koffice2 -> koffice1, Epoch bump
- 20090306svn

* Mon Nov 03 2008 Rex Dieter <rdieter@fedoraproject.org> 1:1.6.3-18
- pull in svn updates

* Mon Oct 27 2008 Rex Dieter <rdieter@fedoraproject.org> 1:1.6.3-17
- move libkiviocommon to -kivio (avoids libpython/multilib issues)

* Thu Sep 18 2008 Rex Dieter <rdieter@fedoraproject.org> 1:1.6.3-16
- revert koffice2->koffice1, introduce Epoch (F-10)
- fix pkg interdependencies (#394101), multilib issues
- -krita: drop Requires: %%name-filters (#394101)
- cleanup scriptlets

* Fri Feb 22 2008 Rex Dieter <rdieter@fedoraproject.org> 1.6.3-15
- upstream gcc43 patch (#433994)
- kivio: omit Requires: kdegraphics, use versioned Obsoletes
- touchup %%descriptions, %%summaries

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.3-14
- Autorebuild for GCC 4.3

* Fri Nov 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.6.3-13
- CVE-2007-4352 CVE-2007-5392 CVE-2007-5393 (#372611)

* Mon Oct 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.6.3-12
- rebuild (for openexr-1.6.0)
- -libs: %%post/%%postun -p /sbin/ldconfig

* Wed Sep 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.6.3-11
- rebuild (for poppler) 
- re-enable (kross)ruby support (f8+)

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.6.3-10
- rebuild for buildid

* Mon Aug 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-9
- CVE-2007-3387 (#251522, #251524)

* Mon Aug 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-8
- License: GPLv2+
- -libs: move libk*common.so.* here 

* Sat Jun 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-7
- -devel: %%exclude %%_libdir/libkudesignercore.so (#245333)

* Thu Jun 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-6
- use simpler NoDisplay=True hack (workaround #245190)
- disable (kross)ruby on rawhide (for now)

* Wed Jun 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-5
- mark applnk/.hidden/*.desktop NoDisplay=True instead (#245061)

* Fri Jun 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-3
- (really) require version of kdelibs used to build against (#244091)

* Fri Jun 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-2
- Require version of kdelibs used to build against (#244091)
- -suite: use versioned Requires

* Fri Jun 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-1
- koffice-1.6.3

* Mon Feb 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.2-3
- kexi_export patch
- kdchart_export patch (#222965)

* Fri Feb 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.2-1
- koffice-1.6.2
- -krita: +Requires: koffice-filters (#228204)

* Mon Dec 11 2006 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.1-4
- -devel: +%%defattr
- -libs: (new) subpkg, multilib issues
- BR: +libpaper-devel -graphviz-devel

* Sun Dec 10 2006 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.1-3
- -devel %%files: +%%exclude %%_libdir/libkdeinit_*.so

* Sat Dec 09 2006 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.1-2
- BR: poppler-qt-devel (#158941,#212145)

* Fri Dec 01 2006 Rex Dieter <rexdieter[AT]users.sf.net>
1.6.1-1
- koffice-1.6.1 (#218030)
- BR: GraphicsMagick-devel
- simplify %%files (prudent globbing)
- fix unowned dirs (#212174)
- make buildable on/for EL-4 too

* Wed Oct 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.6.0-3
- fix #212145: add missing BR for krita pdf support

* Wed Oct 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.6.0-2
- bump

* Wed Oct 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.6.0-1
- version upgrade

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- 1.5.3-3
- respin

* Wed Sep 20 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- 1.5.2-2
- drop deprecated patches
- drop extraneous BR's
- optimize %%configure
- use icon/mime bits from ScriptletSnippets
- simplify desktop-file-install usage

* Thu Aug 03 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.2-1
- version upgrade (#200935)

* Tue Jun 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.1-2
- bump

* Sun May 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.1-1
- fix #191388
- add kexi forms patch
- add kexi checkbox patch
- version upgrade

* Fri Apr 14 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.0-1
- split out kexi-drivers  (#188746) and fix some related issues
- fix #173086
- upgrade to final

* Thu Mar 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.0-0.1.rc1
- version upgrade

* Mon Mar 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.95-1
- version upgrade

* Sun Feb 26 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-4
- kivio requires kdegraphics (#182289)

* Wed Feb 08 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-3
- exclude mimelnk/image/x-raw.desktop (#180335)

* Mon Feb 06 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-2
- enable ruby again (bug #179835)

* Wed Feb 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-1
- version upgrade
- better split libdir/*.so -> -devel, libdir/*.so.* -> packages
  libdir/*.la -> trash; libdir/.* -> packages

* Thu Dec 08 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.2-3
- fix CAN-2005-3193
- gcc 4.1.0:
    - add krita compile fixes
    - add kspread compile fixes
    - add kexi compile fixes

* Thu Nov 10 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.2-2
- remove xorg-x11-devel BR
- rebuild

* Sun Oct 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.2-1
- version upgrade

* Wed Sep 28 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-6
- add patch for qt-3.3.5 problem
- get devel working

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-5
- try to fix devel build

* Tue Aug 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-4
- fix libpqxx detection on x86_64

* Tue Aug 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-3
- try to fix x86_64 build

* Sun Aug 14 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-2
- add dist tag

* Sun Jul 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-1
- upgrade to 1.4.1

* Sat Jul 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0b-1
- upgrade to 1.4.0b
- virtual package koffice-suite

* Thu Jul 07 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0a-3
- add delete option to desktop-file-install

* Mon Jul 04 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0a-2
- Strip language stuff to seperate specs
- Clean up some stuff from BuildRequires

* Fri Jun 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0a-1
- Initial Release
